Bug 174504 - Review Request: wine-docs - Documentation for wine
Summary: Review Request: wine-docs - Documentation for wine
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Linus Walleij
QA Contact: David Lawrence
URL: http://www.winehq.org
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2005-11-29 16:16 UTC by Andreas Bierfert
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-31 22:10:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Andreas Bierfert 2005-11-29 16:16:58 UTC
Spec Name or Url: http://fedora.lowlatency.de/review/wine-docs.spec
SRPM Name or Url: http://fedora.lowlatency.de/review/wine-docs-0.9.2-1.src.rpm
Description:
This package is Wine's documentation repository. It consists of 
various guides and their translations.

Comment 5 Linus Walleij 2006-01-13 22:10:22 UTC
Lint results:

# rpmlint wine-docs-0.9.5-1.src.rpm
E: wine-docs configure-without-libdir-spec
- could be ignored, nothing libbed here.

# rpmlint wine-docs-0.9.5-1.noarch.rpm
W: wine-docs no-version-in-last-changelog

That thing again. Not much to care about here.

Docs are placed in /usr/share/doc/wine-docs-0.9.5, perhaps
one would prefer /usr/share/doc/wine-0.9.5 but who cares.

GOOD:
* Package name matches spec file name
* Meets package naming guidelines (child package docs)
* FLOSS-compatible license (LGPL)
* spec file is in american english
* spec file is readable indeed
* sources match upstream (MD5SUM is the same)
* builds fine on FC4
* no exceptionized BuildRequires
* all build dependencies listed
* no locale magic needed
* no libraries installed
* non-relocatable
* owns its directories (implicit since %doc tag is used)
* no duplicate files
* proper permissions on files
* proper %clean section
* proper use of macros I think, should %configure be used instead of ./configure?

NEEDSWORK:
* License field is wrong: tagged GPL but is LGPL (COPYING.LIB)
* The license file MUST be %doc:ed

Fix these and it's a go...

Comment 6 Andreas Bierfert 2006-01-13 23:54:44 UTC
Fixed the NEEDSWORK things...

as to configure: If I remeber correctly it failed with %configure ...

Here you go and thanks for your time :)
http://fedora.lowlatency.de/review/wine-docs.spec
http://fedora.lowlatency.de/review/wine-docs-0.9.5-2.src.rpm

Comment 7 Linus Walleij 2006-01-14 07:51:08 UTC
APPROVED.

Comment 8 Andreas Bierfert 2006-01-14 08:40:40 UTC
Thanks again :) build for fc5.

Comment 9 Andreas Bierfert 2007-04-27 23:12:49 UTC
Package Change Request
======================
Package Name: wine-docs
New Branches: EL-5

Comment 10 Andreas Bierfert 2007-10-30 07:05:16 UTC
Package Change Request
======================
Package Name: wine-docs
New Branches: EL-4

Comment 11 Kevin Fenzi 2007-10-30 16:29:45 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.